/**
 * 结果
 */

import ext from './extend.js';

export default {
    /**
     * 获取结果数据
     * @param {object} data - 结果对象数据
     */
    get(data) {
        let res = {
            success: false,
            message: '',
            data: null
        };
        if (ext.isObject(data)) {
            if (data.success) {
                if (ext.isObject(data.data)) {
                    if (data.data.Success || data.data.success || data.data.code === 200) {
                        res.success = true;
                        if (ext.isObject(data.data.Data) || ext.isString(data.data.Data) || ext.isBool(data.data.Data)) {
                            res.data = data.data.Data;
                        } else if (ext.isObject(data.data.Result) || ext.isString(data.data.Result) || ext.isBool(data.data.Result)) {
                            res.data = data.data.Result;
                        } else if (!ext.isNull(data.data.data)) {
                            res.data = data.data.data;
                        } else {
                            res.message = '没有返回结果！';
                        }
                    } else {
                        if (ext.isArray(data.data.Messages) && data.data.Messages.length > 0) {
                            for (let i = 0; i < data.data.Messages.length; i++) {
                                if (ext.isNonEmptyString(data.data.Messages[i])) {
                                    if (ext.isNonEmptyString(res.message)) {
                                        res.message += '\n';
                                    }
                                    res.message += data.data.Messages[i];
                                }
                            }
                        } else {
                            res.message = data.data.Message || '';
                        }
                    }
                } else if (ext.isNull(data.data)) {
                    res.message = '没有数据！';
                } else {
                    res.success = true;
                    res.data = data.data;
                }
            } else {
                res.message = data.message;
            }
        } else {
            res.message = '不是对象！';
        }
        return res;
    }
}